Last Comment Bug 770772 - Implement WebappRT test framework on Linux
: Implement WebappRT test framework on Linux
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: Trunk
: x86 Linux
: P3 normal
: Firefox 16
Assigned To: Marco Castelluccio [:marco]
: Jason Smith [:jsmith]
Mentors:
Depends on:
Blocks: 733631 762744
  Show dependency treegraph
 
Reported: 2012-07-03 18:45 PDT by Drew Willcoxon :adw
Modified: 2016-03-21 12:39 PDT (History)
4 users (show)
ryanvm: in‑testsuite+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (5.93 KB, patch)
2012-07-14 04:17 PDT, Marco Castelluccio [:marco]
no flags Details | Diff | Splinter Review
Patch v2 (6.89 KB, patch)
2012-07-14 04:21 PDT, Marco Castelluccio [:marco]
adw: review+
Details | Diff | Splinter Review
Patch v3 (6.88 KB, patch)
2012-07-14 16:04 PDT, Marco Castelluccio [:marco]
no flags Details | Diff | Splinter Review

Description Drew Willcoxon :adw 2012-07-03 18:45:07 PDT
Currently the WebappRT test framework works only on OS X.  It should be updated to work on Linux too.  I think the only thing that needs to be done is to modify the stub executable to (1) respect the -profile command-line argument and (2) look for the Firefox binary in the same directory as the stub executable.  See the changes to webapprt.mm in bug 733631 attachment 638040 [details] [diff] [review]; the changes to the Linux executable should be similar.
Comment 1 Jason Smith [:jsmith] 2012-07-03 19:15:05 PDT
Marco - Can you look into this?
Comment 2 Marco Castelluccio [:marco] 2012-07-14 04:17:16 PDT
Created attachment 642209 [details] [diff] [review]
Patch
Comment 3 Marco Castelluccio [:marco] 2012-07-14 04:21:09 PDT
Created attachment 642211 [details] [diff] [review]
Patch v2
Comment 4 Drew Willcoxon :adw 2012-07-14 15:31:52 PDT
Comment on attachment 642211 [details] [diff] [review]
Patch v2

Review of attachment 642211 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks, Marco.

::: webapprt/gtk2/webapprt.cpp
@@ +255,5 @@
> +  if (access(firefoxDir, F_OK) != -1) {
> +    if (GRELoadAndLaunch(firefoxDir))
> +      return 0;
> +    else
> +      return 255;

Nit: just return 255, no else branch needed.
Comment 5 Marco Castelluccio [:marco] 2012-07-14 16:04:38 PDT
Created attachment 642285 [details] [diff] [review]
Patch v3

Fixed the nit.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-07-14 16:19:01 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/5b5f4f615e00
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-07-14 19:57:44 PDT
https://hg.mozilla.org/mozilla-central/rev/5b5f4f615e00

Note You need to log in before you can comment on or make changes to this bug.